Bug 100438 - Spell Check Dialog: Accessibility focus gets trapped on the special characters toolbar
Summary: Spell Check Dialog: Accessibility focus gets trapped on the special character...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.0.3 release
Hardware: All All
: medium normal
Assignee: Caolán McNamara
QA Contact:
URL:
Whiteboard: target:5.4.0 target:5.3.1
Keywords: accessibility, bibisectNotNeeded, regression
Depends on:
Blocks: Spell-Checking a11y
  Show dependency treegraph
 
Reported: 2016-06-16 17:28 UTC by am_dxer
Modified: 2017-02-02 16:58 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description am_dxer 2016-06-16 17:28:07 UTC
If pressing Shift+Tab from the area to correct a mistake in the spell check dialog, NVDA says that focus has landed on the special characters toolbar and it is not possible to move the focus with Tab or Shift+Tab.
Comment 1 V Stuart Foote 2016-06-16 19:32:29 UTC
Confirming the keyboard trap on Windows 8.1 Ent 64-bit en-US with NVDA 2016.1 and
Version: 5.1.4.1 (x64)
Build ID: a4d48e4ff0e9f93e78b6356ca7b0b6303e360356
CPU Threads: 8; OS Version: Windows 6.29; UI Render: GL; 
Locale: en-US (en_US)

STR

1. Open writer
2. type a sentence of text with an incorrect word or two
3. F7 to open the Spelling and Grammar dialog
4. dialog opens to the Suggestions section, with focus on the Correct key
5. <Shift>+<Tab> several times--passing over buttons "Add to Dictionary", "Ignore All" "Ignore Once" to move backward in dialog into the "Not in dictonary" section. An editable text widget, showing the sentence containing the misspelled word highlighted.
6. enter one additional <Shift>+<Tab> positions onto a Toolbar--holding a "Paste" button and the "Special Character" button. 

These buttons can not take focus via keyboard, and there is no accessible event sounded. A <Tab> or <Shift>+<Tab> do not move off the toolbar--trapped.

A mouse click anywhere in the dialog is needed to release.
Comment 2 Yousuf Philips (jay) 2016-10-29 18:52:38 UTC
Happens on linux as well. :D

@Caolan: any thoughts, as you implemented the toolbar in bug 95682?
Comment 3 am_dxer 2017-01-31 17:35:37 UTC
Still able to reproduce this in latest versions of master.
Comment 4 Commit Notification 2017-02-01 10:31:14 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4bd53cd880ecfa9af27735344bf57fb45de20c25

Resolves: tdf#100438 focus trapped in disabled toolbar

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Yousuf Philips (jay) 2017-02-02 11:53:50 UTC
Looks good and thanks for backporting.

Version: 5.4.0.0.alpha0+
Build ID: d7736283aae4a79aa497bd2196a076ff402e671f
CPU Threads: 2; OS Version: Linux 3.19; UI Render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-02-02_00:46:06
Locale: en-US (en_US.UTF-8); Calc: group
Comment 6 Commit Notification 2017-02-02 16:58:36 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=38e7b2db19b85088cdf98dc1a8080e54f92c8714&h=libreoffice-5-3

Resolves: tdf#100438 focus trapped in disabled toolbar

It will be available in 5.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.